%{?nodejs_find_provides_and_requires}

Name:           nodejs-merge-descriptors
Version:        1.0.1
Release:        6%{?dist}
Summary:        A Node.js module to merge objects using descriptors

License:        MIT
URL:            https://github.com/component/merge-descriptors
Source0:        https://github.com/component/merge-descriptors/archive/%{version}/merge-descriptors-%{version}.tar.gz
# https://github.com/component/merge-descriptors/commit/4512270990987bb387ac64cd9bf323d1c5f7f361
Patch0:         nodejs-merge-descriptors-node10.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)

%description
%{summary}.


%prep
%autosetup -p 1 -n merge-descriptors-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/merge-descriptors
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/merge-descriptors
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --bail --check-leaks test/


%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/merge-descriptors


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Update to 1.0.1 upstream release
- Enable tests

* Thu Jun 18 2015 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Update to 1.0.0 upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.2-1
- initial package
